Bug 500973 - [ibus-table-cangjie] scriptlet errors during post-install
[ibus-table-cangjie] scriptlet errors during post-install
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-table (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On: 505700
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 05:39 EDT by Jens Petersen
Modified: 2009-07-19 06:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1.0.20090407-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-15 05:39:11 EDT
Description of problem:
When I try to install ibus-table-{cangjie,erbi,wubi}
I get %post errors.

How reproducible:
every time


Steps to Reproduce:
# yum install ibus-table\*
  
Actual results:
Transaction Test Succeeded
Running Transaction
  Installing     : ibus-table                                                                                                                             1/5 
  Installing     : ibus-table-erbi                                                                                                                        2/5 
Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 297, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 213, in main
    source = file ( opts.source, 'r' )
IOError: [Errno 2] No such file or directory: 'erbi_qs.txt'
Non-fatal POSTIN scriptlet failure in rpm package ibus-table-erbi-1.1.0.20090407-3.fc11.noarch
warning: %post(ibus-table-erbi-1.1.0.20090407-3.fc11.noarch) scriptlet failed, exit status 1
  Installing     : ibus-table-cangjie                                                                                                                     3/5 
Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 297, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 213, in main
    source = file ( opts.source, 'r' )
IOError: [Errno 2] No such file or directory: 'cangjie3.txt'
Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 297, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 213, in main
    source = file ( opts.source, 'r' )
IOError: [Errno 2] No such file or directory: 'cangjie5.txt'
Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 297, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 213, in main
    source = file ( opts.source, 'r' )
IOError: [Errno 2] No such file or directory: 'quick3.txt'
Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 297, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 213, in main
    source = file ( opts.source, 'r' )
IOError: [Errno 2] No such file or directory: 'quick5.txt'
Non-fatal POSTIN scriptlet failure in rpm package ibus-table-cangjie-1.1.0.20090309-6.fc11.noarch
warning: %post(ibus-table-cangjie-1.1.0.20090309-6.fc11.noarch) scriptlet failed, exit status 1
  Installing     : ibus-table-wubi                                                                                                                        4/5 
Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 297, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 213, in main
    source = file ( opts.source, 'r' )
IOError: [Errno 2] No such file or directory: 'wubi86.txt'
Non-fatal POSTIN scriptlet failure in rpm package ibus-table-wubi-1.1.0.20090327-4.fc11.noarch
warning: %post(ibus-table-wubi-1.1.0.20090327-4.fc11.noarch) scriptlet failed, exit status 1
  Installing     : ibus-table-additional                                                                                                                  5/5 

Expected results:
no errors
Comment 1 Caius Chance 2009-05-17 19:57:01 EDT
Confirmed reproducible. Fixing.
Comment 2 Caius Chance 2009-05-17 20:10:37 EDT
ibus-table-wubi is done:

http://koji.fedoraproject.org/koji/buildinfo?buildID=102418
Comment 3 Caius Chance 2009-05-17 20:32:59 EDT
ibus-table-erbi is done:

http://koji.fedoraproject.org/koji/buildinfo?buildID=102419
Comment 5 Caius Chance 2009-05-17 20:58:22 EDT
ibus-table-cangjie is done:

http://koji.fedoraproject.org/koji/buildinfo?buildID=102420
Comment 6 Caius Chance 2009-05-18 03:58:09 EDT
reopened:

- table is ok to be created in %install, with NO_INDEX=true
- index will be done in %post, with -o table_name.db
Comment 8 hugwww 2009-06-14 20:38:46 EDT
thank you.
Comment 9 hugwww 2009-06-14 20:56:01 EDT
ibus-table-wubi
	
Installed successfully, but you can not enter any characters

yum install ibus-table-wubi

ibus-table-wubi-1.1.0.20090327-4.fc11.noarch.rpm         | 2.6 MB     00:21
运行 rpm_check_debug
运行测试事务处理
传输测试完成
事务处理测试成功
运行事务处理
  正在安装       : ibus-table-wubi                                          1/1
Traceback (most recent call last):
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 297, in <module>
    main ()
  File "/usr/share/ibus-table/engine/tabcreatedb.py", line 213, in main
    source = file ( opts.source, 'r' )
IOError: [Errno 2] No such file or directory: 'wubi86.txt'
Non-fatal POSTIN scriptlet failure in rpm package ibus-table-wubi-1.1.0.20090327-4.fc11.noarch
warning: %post(ibus-table-wubi-1.1.0.20090327-4.fc11.noarch) scriptlet failed, exit status 1

已安装:
  ibus-table-wubi.noarch 0:1.1.0.20090327-4.fc11

恭喜你!成功完成!

安装成功,但不能输入任何字符!
Comment 10 Caius Chance 2009-06-14 21:02:43 EDT
reopened
Comment 11 Caius Chance 2009-06-14 21:04:12 EDT
(In reply to comment #9)

Which one you are now running? rawhide or F-11?
Comment 12 hugwww 2009-06-15 03:36:35 EDT
now running!Fedora 11 i386

Installed successfully, but you can not enter any characters

Please try it..

Thank you.
Comment 13 Fedora Update System 2009-06-15 21:32:25 EDT
ibus-table-erbi-1.1.0.20090407-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-erbi-1.1.0.20090407-5.fc11
Comment 14 Fedora Update System 2009-06-15 21:53:18 EDT
ibus-table-yong-1.1.0.20090422-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-yong-1.1.0.20090422-6.fc11
Comment 15 Fedora Update System 2009-06-15 23:40:35 EDT
ibus-table-cangjie-1.1.0.20090309-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-cangjie-1.1.0.20090309-9.fc11
Comment 16 hugwww 2009-06-16 03:55:06 EDT
Thank you for everything.
:)
Comment 17 Caius Chance 2009-06-16 19:27:18 EDT
(In reply to comment #16)
> Thank you for everything.
> :)  

FYI, these updates are aim on the error messages after installation via RPM.

The bugzilla ticket which tracking the "input problem" is currently on bug# 505700.

Thanks a lot. :)
Comment 18 Caius Chance 2009-06-16 19:52:12 EDT
(In reply to comment #16)
> Thank you for everything.
> :)  

FYI, these updates are aim on the error messages after installation via RPM.

The bugzilla ticket which tracking the "input problem" is currently on bug# 505700.

Thanks a lot. :)
Comment 19 Fedora Update System 2009-06-23 01:45:42 EDT
ibus-table-cangjie-1.1.0.20090309-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-cangjie-1.1.0.20090309-12.fc11
Comment 20 Fedora Update System 2009-06-23 02:21:42 EDT
ibus-table-wubi-1.1.0.20090327-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-wubi-1.1.0.20090327-7.fc11
Comment 21 Fedora Update System 2009-06-26 23:01:50 EDT
ibus-table-cangjie-1.1.0.20090309-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-table-cangjie'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7049
Comment 22 Fedora Update System 2009-07-03 02:50:09 EDT
ibus-table-yong-1.1.0.20090422-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-yong-1.1.0.20090422-7.fc11
Comment 23 Fedora Update System 2009-07-03 03:12:58 EDT
ibus-table-erbi-1.1.0.20090407-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-erbi-1.1.0.20090407-6.fc11
Comment 24 Fedora Update System 2009-07-03 15:38:46 EDT
ibus-table-cangjie-1.1.0.20090309-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-07-03 15:56:21 EDT
ibus-table-wubi-1.1.0.20090327-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2009-07-19 06:13:24 EDT
ibus-table-yong-1.1.0.20090422-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2009-07-19 06:19:08 EDT
ibus-table-erbi-1.1.0.20090407-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.